<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>nl.SBDeveloper</groupId>
    <artifactId>ThemeParkPlus</artifactId>
    <version>3.2</version>
    <packaging>jar</packaging>

    <name>ThemeParkPlus</name>

    <description>Plus version of ThemePark!</description>
    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>
    <url>https://sbdplugins.nl</url>

    <build>
        <defaultGoal>clean package</defaultGoal>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.8.1</version>
                <configuration>
                    <release>11</release>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-shade-plugin</artifactId>
                <version>3.2.1</version>
                <executions>
                    <execution>
                        <phase>package</phase>
                        <goals>
                            <goal>shade</goal>
                        </goals>
                        <configuration>
                            <createDependencyReducedPom>false</createDependencyReducedPom>
                            <relocations>
                                <relocation>
                                    <pattern>de.tr7zw.changeme.nbtapi</pattern>
                                    <shadedPattern>nl.sbdeveloper.themeparkplus.libs.nbtapi</shadedPattern>
                                </relocation>
                                <relocation>
                                    <pattern>org.codemc.worldguardwrapper</pattern>
                                    <shadedPattern>nl.sbdeveloper.themeparkplus.libs.worldguardwrapper</shadedPattern>
                                </relocation>
                                <relocation>
                                    <pattern>org.bstats</pattern>
                                    <shadedPattern>nl.sbdeveloper.themeparkplus.libs.bstats</shadedPattern>
                                </relocation>
                                <relocation>
                                    <pattern>fr.minuskube.inv</pattern>
                                    <shadedPattern>nl.sbdeveloper.themeparkplus.libs.smartinvs</shadedPattern>
                                </relocation>
                            </relocations>
                            <filters>
                                <filter>
                                    <artifact>*:*</artifact>
                                    <excludes>
                                        <exclude>com/cryptomorin/xseries/XPotion*</exclude>
                                        <exclude>com/cryptomorin/xseries/XItemStack*</exclude>
                                        <exclude>com/cryptomorin/xseries/XEntity*</exclude>
                                        <exclude>com/cryptomorin/xseries/XEnchantment*</exclude>
                                        <exclude>com/cryptomorin/xseries/XBlock*</exclude>
                                        <exclude>com/cryptomorin/xseries/XBiome*</exclude>
                                        <exclude>com/cryptomorin/xseries/XMaterial*</exclude>
                                        <exclude>com/cryptomorin/xseries/XSound*</exclude>
                                        <exclude>com/cryptomorin/xseries/XTag*</exclude>
                                        <exclude>com/cryptomorin/xseries/SkullUtils*</exclude>
                                        <exclude>com/cryptomorin/xseries/NoteBlockMusic*</exclude>
                                        <exclude>com/cryptomorin/xseries/particles/*</exclude>
                                        <exclude>com/cryptomorin/xseries/messages/*</exclude>
                                        <exclude>com/cryptomorin/xseries/unused/*</exclude>
                                        <exclude>com/cryptomorin/xseries/SkullCacheListener*</exclude>
                                    </excludes>
                                </filter>
                            </filters>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
        </plugins>
        <resources>
            <resource>
                <directory>src/main/resources</directory>
                <filtering>true</filtering>
            </resource>
        </resources>
    </build>

    <repositories>
        <repository>
            <id>spigot-repo</id>
            <url>https://hub.spigotmc.org/nexus/content/repositories/snapshots/</url>
        </repository>
        <repository>
            <id>jitpack.io</id>
            <url>https://jitpack.io</url>
        </repository>
        <repository>
            <id>sk89q-repo</id>
            <url>https://maven.enginehub.org/repo/</url>
        </repository>
        <repository>
            <id>enginehub-maven</id>
            <url>https://maven.enginehub.org/repo/</url>
        </repository>
        <repository>
            <id>codemc-repo</id>
            <url>https://repo.codemc.org/repository/maven-public/</url>
            <layout>default</layout>
        </repository>
    </repositories>

    <dependencies>
        <dependency>
            <groupId>org.spigotmc</groupId>
            <artifactId>spigot-api</artifactId>
            <version>1.19.2-R0.1-SNAPSHOT</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>me.paradoxpixel</groupId>
            <artifactId>themepark</artifactId>
            <version>3.1.1</version>
            <scope>system</scope>
            <systemPath>${pom.basedir}/src/lib/ThemePark_v3.1.1.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>me.paradoxpixel</groupId>
            <artifactId>parkplusmc</artifactId>
            <version>1.4</version>
            <scope>system</scope>
            <systemPath>${pom.basedir}/src/lib/parkplus-1.4.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <version>1.18.24</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>de.tr7zw</groupId>
            <artifactId>item-nbt-api</artifactId>
            <version>2.10.0</version>
        </dependency>
        <dependency>
            <groupId>com.github.MilkBowl</groupId>
            <artifactId>VaultAPI</artifactId>
            <version>1.7.1</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>com.zaxxer</groupId>
            <artifactId>HikariCP</artifactId>
            <version>5.0.1</version>
        </dependency>
        <dependency>
            <groupId>org.bstats</groupId>
            <artifactId>bstats-bukkit</artifactId>
            <version>3.0.0</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>fr.minuskube.inv</groupId>
            <artifactId>smart-invs</artifactId>
            <version>1.2.7</version>
        </dependency>
        <dependency>
            <groupId>club.minnced</groupId>
            <artifactId>discord-webhooks</artifactId>
            <version>0.8.2</version>
        </dependency>
        <dependency>
            <groupId>com.github.cryptomorin</groupId>
            <artifactId>XSeries</artifactId>
            <version>9.0.0</version>
        </dependency>
        <dependency>
            <groupId>com.sk89q.worldedit</groupId>
            <artifactId>worldedit-bukkit</artifactId>
            <version>7.2.7-SNAPSHOT</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>com.sk89q.worldguard</groupId>
            <artifactId>worldguard-bukkit</artifactId>
            <version>7.0.5-SNAPSHOT</version>
            <scope>provided</scope>
        </dependency>
    </dependencies>
</project>
